import 'dart:ui';

import 'package:design_system/src/theme/theme_port.dart';
import 'package:flutter/material.dart';

class ThemeSfAdapter extends ThemePort {
  final Map<ThemeCode, Color> _theme = {
    ThemeCode.backgroundPrimary: Color(0xFFFFFFFF),
    ThemeCode.backgroundSecondary: Color(0xFFF7F7F7),
    ThemeCode.backgroundTertiary: Color(0x4D329E95),
    ThemeCode.textPrimary: Color(0xFF4B4B4B),
    ThemeCode.textSecondary: Color(0xFFFFFFFF),
    ThemeCode.textTertiary: Color(0xFFE0E0E0),
    ThemeCode.buttonPrimary: Color(0xFF329e95),
    ThemeCode.buttonSecondary: Color(0xFF4B4B4B),
  };

  @override
  Map<ThemeCode, Color> get theme => _theme;

  final List<List<Color>> _cardColors = [
    [Color(0xFFFA5C9F), Color(0xFFEB2579), Color(0xFFE60866)],
    [Color(0xFF00A1C6), Color(0xFF00819E)],
  ];

  @override
  List<List<Color>> get cardColors => _cardColors;
}
